---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all project_template_teams in account

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "project_template_team": {
        "type": "object",
        "description": "Entity that denotes the categories used in a project template. Twin of project-level team entity",
        "required": [
          "id",
          "account_id",
          "project_template_id",
          "handle",
          "name",
          "created_at",
          "device_created_at",
          "resolved_conflict",
          "device_updated_at",
          "updated_at",
          "creator_user_id",
          "last_editor_user_id"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "account_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user account"
          },
          "project_template_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project template this entity belongs to"
          },
          "handle": {
            "type": "string",
            "nullable": false,
            "description": "Short form for this project_template_team"
          },
          "name": {
            "type": "string",
            "nullable": false,
            "description": "Name of the entity"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/account/project_template_teams": {
      "get": {
        "summary": "Get all project_template_teams in account",
        "operationId": "get_project_template_teams_in_account",
        "tags": [
          "project template teams"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "7e30b82e-59dc-4111-909a-982d160dc8a4",
                    "creator_user_id": 1812,
                    "last_editor_user_id": 1812,
                    "resolved_conflict": false,
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-01T00:00:00.000Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "account_id": 1504,
                    "project_template_id": "bc316ac8-55b2-4a42-8943-f5942a37b2aa",
                    "name": "9c77363b-311a-48ae-81cf-76e2102cd11d",
                    "handle": "9C"
                  },
                  {
                    "id": "564df619-8256-427a-89d4-fb0d3ebcf077",
                    "creator_user_id": 1810,
                    "last_editor_user_id": 1810,
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:51:55.594Z",
                    "updated_at": "2026-10-02T14:51:55.594Z",
                    "device_created_at": "2026-10-02T14:51:55.594Z",
                    "device_updated_at": "2026-10-02T14:51:55.594Z",
                    "deleted_at": null,
                    "account_id": 1504,
                    "project_template_id": "3e1adf50-cc27-42ef-8e63-084e4d81ed5f",
                    "name": "84541a93-7b20-4fab-b58e-1d10364c2708",
                    "handle": "84"
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/project_template_team"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```